# .ini file structure: https://docs.python.org/3/library/configparser.html#supported-ini-file-structure


# common options for all commands (complete, edit, chat)
[default]
options.model = gpt-5.1

[default.chat]
options.initial_prompt =
  >>> system
  You are a general assistant.
  You are providing assistance through vim-ai chat.
  If you attach code, please include ``` to enable syntax highlighting.

[editor]
options.initial_prompt =
  >>> system
  You are a general assistant providing editin help through the vim-ai plugin.
  Answer shortly, consisely and only what you are asked.
  Do not provide any explanantion or comments if not requested.
  If you answer in a code, do not wrap it in markdown code block. Do not include any markdown codeblocks.

options.endpoint_url = http://127.0.0.1:8012/v1/chat/completions
options.auth_type = none

[default.edit]
options.initial_prompt =
  >>> system
  You are a general assistant providing editin help through the vim-ai plugin.
  Answer shortly, consisely and only what you are asked.
  Do not provide any explanantion or comments if not requested.
  If you answer in a code, do not wrap it in markdown code block. Do not include any markdown codeblocks.
  Reasoning: low 

options.endpoint_url = http://127.0.0.1:8080/v1/chat/completions
options.reasoning_effort = none 
options.auth_type = none
